//
//  AlertSheetTool.m
//  AlertActiionDemo
//
//  Created by Max on 16/8/30.
//  Copyright © 2016年 maxzhang. All rights reserved.
//

#import "AlertSheetTool.h"

@implementation AlertSheetTool



+ (id)AlertSheetToolWithCancelTitle:(NSString *)cancelTitle otherItemArrays:(NSArray *)array viewController:(UIViewController *)controller handler:(ActionBlockAtIndex)block
{
    return [[self alloc] initWithCancelTitle:cancelTitle otherItemArrays:array viewController:controller handler:block isShowCancel:NO];
}




+ (id)AlertSheetToolWithItemArrays:(NSArray *)array viewController:(UIViewController *)controller handler:(ActionBlockAtIndex)block
{
    return [[self alloc] initWithCancelTitle:nil otherItemArrays:array viewController:controller handler:block isShowCancel:YES];
}



- (instancetype)initWithCancelTitle:(NSString *)cancelTitle otherItemArrays:(NSArray *)array viewController:(UIViewController *)controller handler:(id)sender isShowCancel:(BOOL)isShowCancel
{
    if ([self init]) {
        
        
        UIAlertController *alertC = [UIAlertController alertControllerWithTitle:nil message:nil preferredStyle:UIAlertControllerStyleActionSheet];
        
        self.actionBlockAtIndex = sender;
        
        
        if (isShowCancel == NO) {
            
            UIAlertAction *cancelAction=[UIAlertAction actionWithTitle:cancelTitle style:UIAlertActionStyleCancel handler:^(UIAlertAction * _Nonnull action) {
                if (self.actionBlockAtIndex) {
                    self.actionBlockAtIndex(0);
                }
                [alertC dismissViewControllerAnimated:YES completion:nil];
            }];
            [alertC addAction:cancelAction];
            
        }
        
        
        if (![array isKindOfClass:[NSNull class]] && array != nil && array.count) {
            for (int i = 0; i < array.count; i++) {
                UIAlertAction *otherAction = [UIAlertAction actionWithTitle:array[i] style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
                    
                    if (isShowCancel) {
                        if (self.actionBlockAtIndex) {
                            self.actionBlockAtIndex(i);
                        }
                    }
                    else {
                        if (self.actionBlockAtIndex) {
                            self.actionBlockAtIndex(i+1);
                        }
                    }
                    

                    [alertC dismissViewControllerAnimated:YES completion:nil];
                }];
                [alertC addAction:otherAction];
            }
        }
        
        
        
        
        
        
        [controller presentViewController:alertC animated:YES completion:nil];
    }
    return self;
}



@end
